---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libnosuspendStackTrace.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51B80, symBinAddr: 0xC300, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x53AC0, symBinAddr: 0xE240, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53EB0, symBinAddr: 0xE630, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54E50, symBinAddr: 0xF5D0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54E60, symBinAddr: 0xF5E0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: _jvmti, symObjAddr: 0x6C560, symBinAddr: 0x26CE0, symSize: 0x0 }
  - { offsetInCU: 0x8DA9, offset: 0x8DA9, size: 0x8, addend: 0x0, symName: _iGlobalStatus, symObjAddr: 0x6C568, symBinAddr: 0x26CE8, symSize: 0x0 }
  - { offsetInCU: 0x8DBE, offset: 0x8DBE, size: 0x8, addend: 0x0, symName: _jraw_monitor, symObjAddr: 0x703F0, symBinAddr: 0x26CF0, symSize: 0x0 }
  - { offsetInCU: 0x8DDF, offset: 0x8DDF, size: 0x8, addend: 0x0, symName: _printdump, symObjAddr: 0x70494, symBinAddr: 0x26D94, symSize: 0x0 }
  - { offsetInCU: 0x8DF4, offset: 0x8DF4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x516C0, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x8DFF, offset: 0x8DFF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x516C4, symBinAddr: 0xC094, symSize: 0x0 }
  - { offsetInCU: 0x8E0A, offset: 0x8E0A, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x516C8, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x8E4F, offset: 0x8E4F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x51820, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x8EC8, offset: 0x8EC8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x518D8, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EE6, offset: 0x8EE6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x518DC, symBinAddr: 0xC15C, symSize: 0x0 }
  - { offsetInCU: 0x8EFF, offset: 0x8EFF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x518E0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F18, offset: 0x8F18, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x518E4, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0x8F31, offset: 0x8F31, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x518E8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8F4A, offset: 0x8F4A, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x518F0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8FD3, offset: 0x8FD3, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x51908, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FEC, offset: 0x8FEC, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x51910, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9005, offset: 0x9005, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x51918, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x901E, offset: 0x901E, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x51920, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9038, offset: 0x9038, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x51928, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x911E, offset: 0x911E, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x51970, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9137, offset: 0x9137, size: 0x8, addend: 0x0, symName: __ZL10jvmti_caps, symObjAddr: 0x51AA8, symBinAddr: 0xC2E8, symSize: 0x0 }
  - { offsetInCU: 0x9189, offset: 0x9189, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x42D0, symSize: 0x80 }
  - { offsetInCU: 0x921E, offset: 0x921E, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x4220, symSize: 0xB0 }
  - { offsetInCU: 0x9279, offset: 0x9279, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x4120, symSize: 0x100 }
  - { offsetInCU: 0x950C, offset: 0x950C, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x4350, symSize: 0x220 }
  - { offsetInCU: 0x96F1, offset: 0x96F1, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4570, symSize: 0xA0 }
  - { offsetInCU: 0x97A4, offset: 0x97A4, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x4610, symSize: 0x110 }
  - { offsetInCU: 0x989A, offset: 0x989A, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x4720, symSize: 0x150 }
  - { offsetInCU: 0x99F7, offset: 0x99F7, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4870, symSize: 0x30 }
  - { offsetInCU: 0x9AD8, offset: 0x9AD8, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x48A0, symSize: 0x150 }
  - { offsetInCU: 0x9CD0, offset: 0x9CD0, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x49F0, symSize: 0x160 }
  - { offsetInCU: 0x9E5C, offset: 0x9E5C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4B50, symSize: 0x1B0 }
  - { offsetInCU: 0xA077, offset: 0xA077, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4D00, symSize: 0xA0 }
  - { offsetInCU: 0xA172, offset: 0xA172, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4DA0, symSize: 0x20 }
  - { offsetInCU: 0xA1A9, offset: 0xA1A9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4DC0, symSize: 0x20 }
  - { offsetInCU: 0xA1E0, offset: 0xA1E0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4DE0, symSize: 0x20 }
  - { offsetInCU: 0xA393, offset: 0xA393, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4E00, symSize: 0x1A0 }
  - { offsetInCU: 0xA6B9, offset: 0xA6B9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4FA0, symSize: 0x80 }
  - { offsetInCU: 0xA782, offset: 0xA782, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x5020, symSize: 0x6A0 }
  - { offsetInCU: 0xB317, offset: 0xB317, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA3B0, symBinAddr: 0x6510, symSize: 0xB0 }
  - { offsetInCU: 0xB38E, offset: 0xB38E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x56C0, symSize: 0x70 }
  - { offsetInCU: 0xB482, offset: 0xB482, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5730, symSize: 0xA0 }
  - { offsetInCU: 0xB5B9, offset: 0xB5B9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x57D0, symSize: 0x40 }
  - { offsetInCU: 0xB6AF, offset: 0xB6AF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5810, symSize: 0x2B0 }
  - { offsetInCU: 0xBA55, offset: 0xBA55, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5AC0, symSize: 0xC0 }
  - { offsetInCU: 0xBB9B, offset: 0xBB9B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5B80, symSize: 0x10 }
  - { offsetInCU: 0xBC5D, offset: 0xBC5D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5B90, symSize: 0x220 }
  - { offsetInCU: 0xBF5A, offset: 0xBF5A, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5DB0, symSize: 0x10 }
  - { offsetInCU: 0xBFB7, offset: 0xBFB7, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5DC0, symSize: 0x1B0 }
  - { offsetInCU: 0xC21C, offset: 0xC21C, size: 0x8, addend: 0x0, symName: _debug_printf, symObjAddr: 0x9DD0, symBinAddr: 0x5F80, symSize: 0xC0 }
  - { offsetInCU: 0xC250, offset: 0xC250, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9DC0, symBinAddr: 0x5F70, symSize: 0x10 }
  - { offsetInCU: 0xC2AD, offset: 0xC2AD, size: 0x8, addend: 0x0, symName: _vmInit, symObjAddr: 0x9E90, symBinAddr: 0x6040, symSize: 0x20 }
  - { offsetInCU: 0xC2F1, offset: 0xC2F1, size: 0x8, addend: 0x0, symName: _vmExit, symObjAddr: 0x9EB0, symBinAddr: 0x6060, symSize: 0x20 }
  - { offsetInCU: 0xC32A, offset: 0xC32A, size: 0x8, addend: 0x0, symName: _classFileLoadEvent, symObjAddr: 0x9ED0, symBinAddr: 0x6080, symSize: 0x10 }
  - { offsetInCU: 0xC3AE, offset: 0xC3AE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_nosuspendStackTrace_JvmtiTest_GetResult, symObjAddr: 0x9F30, symBinAddr: 0x6090, symSize: 0x10 }
  - { offsetInCU: 0xC3E2, offset: 0xC3E2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_nosuspendStackTrace_JvmtiTest_CreateRawMonitor, symObjAddr: 0x9F40, symBinAddr: 0x60A0, symSize: 0xB0 }
  - { offsetInCU: 0xC48F, offset: 0xC48F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_nosuspendStackTrace_JvmtiTest_RawMonitorEnter, symObjAddr: 0x9FF0, symBinAddr: 0x6150, symSize: 0x60 }
  - { offsetInCU: 0xC51C, offset: 0xC51C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_nosuspendStackTrace_JvmtiTest_RawMonitorExit, symObjAddr: 0xA050, symBinAddr: 0x61B0, symSize: 0x60 }
  - { offsetInCU: 0xC5A9, offset: 0xC5A9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_nosuspendStackTrace_JvmtiTest_RawMonitorWait, symObjAddr: 0xA0B0, symBinAddr: 0x6210, symSize: 0x60 }
  - { offsetInCU: 0xC663, offset: 0xC663, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_nosuspendStackTrace_JvmtiTest_RawMonitorNotify, symObjAddr: 0xA110, symBinAddr: 0x6270, symSize: 0x60 }
  - { offsetInCU: 0xC71C, offset: 0xC71C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_nosuspendStackTrace_JvmtiTest_GetFrameCount, symObjAddr: 0xA170, symBinAddr: 0x62D0, symSize: 0x60 }
  - { offsetInCU: 0xC822, offset: 0xC822, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_nosuspendStackTrace_JvmtiTest_GetStackTrace, symObjAddr: 0xA1D0, symBinAddr: 0x6330, symSize: 0x1D0 }
  - { offsetInCU: 0xCAE0, offset: 0xCAE0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_nosuspendStackTrace_JvmtiTest_SaveThreadInfo, symObjAddr: 0xA3A0, symBinAddr: 0x6500, symSize: 0x10 }
  - { offsetInCU: 0xCB22, offset: 0xCB22, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA460, symBinAddr: 0x65C0, symSize: 0x36A }
...
